efl::gfx::gradient::linear Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
efl::gfx::gradient::linear Struct Reference

Class linear. More...

## Public Member Functions
| linear (Eo *eo)
| Eo Constructor. More...
| linear (std::nullptr_t)
| nullptr_t Constructor. More...
| linear (linear const &other)
| Copy Constructor.
void | start_get (double *x_, double *y_) const
| Gets the start point of this linear gradient. More...
void | start_set (double x_, double y_) const
| Sets the start point of this linear gradient. More...
void | end_get (double *x_, double *y_) const
| Gets the end point of this linear gradient. More...
void | end_set (double x_, double y_) const
| Sets the end point of this linear gradient. More...
| linear (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::gradient::linear object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const
Public Member Functions inherited from efl::gfx::gradient::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
void | stop_get (const Efl_Gfx_Gradient_Stop **colors_, unsigned int *length_) const
| get the list of color stops. More...
void | stop_set (const Efl_Gfx_Gradient_Stop *colors_, unsigned int length_) const
| Set the list of color stops for the gradient. More...
Efl_Gfx_Gradient_Spread | spread_get () const
| Returns the spread method use by this gradient. More...
void | spread_set (Efl_Gfx_Gradient_Spread s_) const
| Specifies the spread method that should be used for this gradient. More...
| base (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::gradient::base object. More...

## Static Public Member Functions
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::gradient::base
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class linear.

## Constructor & Destructor Documentation

efl::gfx::gradient::linear::linear | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new efl::gfx::gradient::linear object.

Constructs a new efl::gfx::gradient::linear object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

efl::gfx::gradient::linear my_linear(efl::eo::parent = parent_object);

See also
  linear(Eo* eo)

efl::gfx::gradient::linear::linear | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

efl::gfx::gradient::linear::linear | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

void efl::gfx::gradient::linear::start_get | ( | double * | x_,
|  | double * | y_
| ) |  | const

Gets the start point of this linear gradient.

Parameters

  x | x co-ordinate of start point
  y | y co-ordinate of start point

void efl::gfx::gradient::linear::start_set | ( | double | x_,
|  | double | y_
| ) |  | const

Sets the start point of this linear gradient.

Parameters

  x | x co-ordinate of start point
  y | y co-ordinate of start point

void efl::gfx::gradient::linear::end_get | ( | double * | x_,
|  | double * | y_
| ) |  | const

Gets the end point of this linear gradient.

Parameters

  x | x co-ordinate of end point
  y | y co-ordinate of end point

void efl::gfx::gradient::linear::end_set | ( | double | x_,
|  | double | y_
| ) |  | const

Sets the end point of this linear gradient.

Parameters

  x | x co-ordinate of end point
  y | y co-ordinate of end point